opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Protected Member Functions | List of all members
cv::DynamicAdaptedFeatureDetector Class Reference

an adaptively adjusting detector that iteratively detects until the desired number of features are detected. Beware that this is not thread safe - as the adjustment of parameters breaks the const of the detection routine... /TODO Make this const correct and thread safe More...

`#include <features2d.hpp>`

Inheritance diagram for cv::DynamicAdaptedFeatureDetector:

## Public Member Functions
| DynamicAdaptedFeatureDetector (const Ptr< AdjusterAdapter > &adjaster, int min_features=400, int max_features=500, int max_iters=5)
Public Member Functions inherited from cv::FeatureDetector
void | detect (const Mat &image, vector< KeyPoint > &keypoints, const Mat &mask=Mat()) const
void | detect (const vector< Mat > &images, vector< vector< KeyPoint > > &keypoints, const vector< Mat > &masks=vector< Mat >()) const
virtual void | read (const FileNode &)
virtual void | write (FileStorage &) const
virtual | ~FeatureDetector ()

## Protected Member Functions
virtual void | detectImpl (const Mat &image, vector< KeyPoint > &keypoints, const Mat &mask=Mat()) const

## Additional Inherited Members
Static Public Member Functions inherited from cv::FeatureDetector
static Ptr< FeatureDetector > | create (const string &detectorType)
Static Protected Member Functions inherited from cv::FeatureDetector
static void | removeInvalidPoints (const Mat &mask, vector< KeyPoint > &keypoints)

## Detailed Description

an adaptively adjusting detector that iteratively detects until the desired number of features are detected. Beware that this is not thread safe - as the adjustment of parameters breaks the const of the detection routine... /TODO Make this const correct and thread safe

    sample usage:

will create a detector that attempts to find 100 - 110 FAST Keypoints, and will at most run FAST feature detection 10 times until that number of keypoints are found Ptr<FeatureDetector> detector(new DynamicAdaptedFeatureDetector(new FastAdjuster(20,true),100, 110, 10));

## Constructor & Destructor Documentation

cv::DynamicAdaptedFeatureDetector::DynamicAdaptedFeatureDetector | ( | const Ptr< AdjusterAdapter > & | adjaster,
|  | int | min_features = `400`,
|  | int | max_features = `500`,
|  | int | max_iters = `5`
| ) |  |

Parameters

  adjaster | an AdjusterAdapter that will do the detection and parameter adjustment
  max_features | the maximum desired number of features
  max_iters | the maximum number of times to try to adjust the feature detector params for the FastAdjuster this can be high, but with Star or Surf this can get time consuming
  min_features | the minimum desired features

## Member Function Documentation

virtual void cv::DynamicAdaptedFeatureDetector::detectImpl | ( | const Mat & | image,
|  | vector< KeyPoint > & | keypoints,
|  | const Mat & | mask = `Mat()`
| ) |  | const
| protected virtual

Implements cv::FeatureDetector.

The documentation for this class was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp